package org.jeecg.modules.sampleAndConsumableManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdReagentManagement;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 试剂管理
 * @author： jeecg-boot
 * @date：   2019-06-12
 * @version： V1.0
 */
public interface IFdReagentManagementService extends IService<FdReagentManagement> {

    void addAll(FdReagentManagement fdReagentManagement);

    FdReagentManagement queryReagentByConId(String contractId);

    boolean deleteAll(String id);

    IPage<FdReagentManagement> findByPage(Page<FdReagentManagement> page, QueryWrapper<FdReagentManagement> queryWrapper);

    List<FdContract> getFileContractList();
}
